[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TObjectIteratorMethod

iterate callback prototype.

## Declaration

Source position: contnrs.pp line 457

`type TObjectIteratorMethod = procedure(`
`Item: TObject;`
`const Key: String;`
`var Continue: Boolean`
`) of object;`

## Arguments

`Item` |  | Data object
`Key` |  | Key value
`Continue` |  | Should the iteration continue or stop

## Description

TObjectIteratorMethod is the iterator callback prototype. It is used to iterate over all items in the hash table, and is called with each key value (Key) and associated object (Item). If Continue is set to false, the iteration stops.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .